symbolicatecrash script doesn't find existing symbol matches for apps

Originator:bryanhenry
Number:rdar://6438643 Date Originated:11-Dec-2008 01:41 PM
Status:Open Resolved:
Product:Developer Tools Product Version:
Classification:Serious Bug Reproducible:Always
 
The perl script located at /Developer/Platforms/iPhoneOS.platform/Developer/Library/Xcode/Plug-ins/iPhoneRemoteDevice.xcodeplugin/Contents/Resources/symbolicatecrash, more commonly referred to just as "symbolicatecrash", does not correctly find symbol file + executable matches that in fact exist. I've attached a modified script that fixes the problem.

http://apogee-dev.com/randomstuff/symbolicatecrash.zip attached.

Comments

Saved my day

Now I can symbolicate carshes much more easily. Thanks. Any news on 2.2.1?

By cgodefroy at Feb. 1, 2009, 6:31 p.m. (reply...)

Saved my day too!

I was trying to track down an obscure bug, but my log was not symbolicating correctly. This script fixed the problem. Thank you so much!

By superpeon1 at March 16, 2009, 1:32 a.m. (reply...)

Fantastico

I've been going nuts trying to make symbolicatecrash assemble things correctly. Thanks for the fix!!!

OS 3 Fails

Sadly, it doesn't work with OS 3.0. I can't find a copy in the 3.0 SDK either, which leads me to believe it's been officially deprecated or replaced by something else. That doesn't work either, hence my trying to use this one. sigh

Location of SymbolicateCrash in SDK 3.0 Beta5:

/Platforms/iPhoneOS.platform/Developer/Library/PrivateFrameworks/DTDeviceKit.framework/Versions/A/Resources/

By tan.michael at May 19, 2009, 8:15 a.m. (reply...)

Untested with 3.0 betas

I haven't yet tested my changes to the symbolicatecrash perl script either under the 3.0 betas or under Snow Leopard to see if they ever fixed their problems. Feel free to use it, but be sure to test it and see if it works still. If anyone wants to do so and report back, that'd be great.

By bryanhenry at June 12, 2009, 4:48 a.m. (reply...)

Please note: Reports posted here will not necessarily be seen by Apple. All problems should be submitted at bugreport.apple.com before they are posted here. Please only post information for Radars that you have filed yourself, and please do not include Apple confidential information in your posts. Thank you!